package tools;

import java.util.concurrent.ExecutorService;

import static java.util.concurrent.Executors.newFixedThreadPool;

/**
 * @author edward
 * @date 2018/5/18
 */
public class Application {
    private static final int THREAD_COUNT = 1000;

    public static void main(String[] args) {
        String username = Environment.get("username");
        String password = Environment.get("password");
        String clientId = Environment.get("clientId");
        String clientSecret = Environment.get("clientSecret");
        String registeredCallbackUrl = Environment.get("registeredCallbackUrl");

        ExecutorService fixedThreadPool = newFixedThreadPool(THREAD_COUNT);
        for (int i = 0; i < THREAD_COUNT; i++) {
            fixedThreadPool.execute(() -> {
                String token = BatchTokenRetrieval.retrieve(username, password, clientId, clientSecret,
                    registeredCallbackUrl);
                System.out.println(Thread.currentThread().getName()+"--"+token);
            });
        }

        fixedThreadPool.shutdown();

    }
}
